{"openapi":"3.0.0","info":{"title":"Aadhaar and Bank Account Verification API","description":"This Is An API For AADHAR and Bank Account Validation","version":"1.0.0"},"servers":[{"description":"SwaggerHub API Auto Mocking","url":"https://virtserver.swaggerhub.com/MKUY-Team/AADHARBANKVAL/1.0.0"},{"url":"https://mkuy.purviewservices.com/","description":"Development server"}],"paths":{"/aadhar_bank_verify":{"post":{"description":"This will verify if the bank account name is same as the name in aadhar ","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"beneficiary_id":{"type":"string","example":"ASD1452FETR2"},"beneficiary_name":{"type":"string","example":"Kavitha"},"district_code":{"type":"number","example":25},"block_code":{"type":"integer","example":245},"panchayat_code":{"type":"integer","example":2451},"ward_number":{"type":"integer","example":125478},"anganawadi_center_code":{"type":"integer","example":12010215245},"beneficiary_fathers_name":{"type":"string","example":"kumar"},"beneficiary_mothers_name":{"type":"string","example":"kumari"},"beneficiary_date_of_birth":{"format":"date","type":"string","description":"Date Of Birth","example":"2017-01-01","pattern":"YYYY-MM-DD"},"beneficiary_mobile_number":{"type":"integer","example":9449731347},"beneficiary_category":{"type":"integer","example":1},"beneficiary_bank_name":{"type":"string","example":"SBI BANK"},"beneficiary_bank_ifsc_code":{"type":"string","example":"SBI012575"},"scheme_id":{"type":"integer","example":2},"guardian_aadhar_number":{"type":"integer","example":666666666666},"beneficiary_aadhar_number":{"type":"integer","example":666666666666},"created_by":{"type":"string","example":"cdpobih"},"ip_address":{"type":"string","example":"127.0.0.1"},"beneficiary_address":{"type":"string","example":"AAAAAAA"}}}}}},"responses":{"200":{"description":"A list of beneficiary under a batch.","content":{"application/json":{"schema":{"type":"object","properties":{"beneficiary_name":{"type":"string","description":"This is the list of the beneficiary"}}},"examples":{"success":{"value":{"batch_id":1}}}}}},"400":{"description":"Invalid request","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","example":"invalid request"}}}}}}}}}}}